# mongoc_database_drop()

## Synopsis

    bool
    mongoc_database_drop (mongoc_database_t *database,
                          bson_error_t      *error);

This function attempts to drop a database on the MongoDB server.

## Parameters

database | A mongoc_database_t.
error | An optional location for a bson_error_t or NULL.

## Errors

Errors are propagated via the error parameter.

## Returns

true if successful, otherwise false and error is set.